DBCC TRACEON(3604)
GO

-- Primjer 1.
DBCC IND('AdventureWorksOBP', 'Proizvod', -1)
-- a) Podaci iz tablice dbo.Proizvod se smješteni na 6 stranica (PageType = 1)
-- b) Njihovi redni brojevi su 1836, 1848, 1850, 1851, 1852 i 1853.

DBCC PAGE('AdventureWorksOBP', 1, 1836, 3) WITH TABLERESULTS
-- c) Zapisi na stranicama su poredani po IDProizvod.

DBCC PAGE('AdventureWorksOBP', 1, 1851, 3) WITH TABLERESULTS
-- d) Slot za redak za IDProizvod = 858 (Half-Finger Gloves, S) je 78, boja proizvoda je crna.

DBCC PAGE('AdventureWorksOBP', 1, 1836, 3) WITH TABLERESULTS
-- e) Zadnji redak na prvoj stranici je IDProizvod = 425.

DBCC PAGE('AdventureWorksOBP', 1, 1848, 3) WITH TABLERESULTS
-- f) Prvi redak na drugoj stranici je IDProizvod = 426.

-- g)
INSERT INTO dbo.Proizvod (Naziv, BrojProizvoda, Boja, MinimalnaKolicinaNaSkladistu, CijenaBezPDV, PotkategorijaID)
VALUES ('Testni proizvod 1', 'TP-001', 'ljubičasta', 0, 5.55, NULL)

DBCC PAGE('AdventureWorksOBP', 1, 1853, 3) WITH TABLERESULTS
-- Dodan je na zadnju stranicu, a to je 1853.
